/* BlinkenSim
 * version 0.1 date 2006-07-28
 * Copyright (C) 2004-2006: Stefan Schuermans <stefan@blinkenarea.org>
 * Copyleft: GNU public license - http://www.gnu.org/copyleft/gpl.html
 * a blinkenarea.org project
 */

package org.blinkenarea.BlinkenSim;

import java.util.*;

public class MoviePlayerTimerTask extends TimerTask {

  MoviePlayer player;

  public MoviePlayerTimerTask( MoviePlayer pl ) {
    player = pl;
  }

  public void run( ) {
    player.nextFrame( );
  }

} // class MoviePlayerTimerTask
